USE Stocks

SELECT	exchange, 
		SUM([JAN])					AS [JAN], 
		SUM([FEB])					AS [FEB], 
		SUM([MAR])					AS [MAR], 
		SUM([APR])					AS [APR], 
		SUM([MAY])					AS [MAY], 
		SUM([JUN])					AS [JUN], 
		SUM([JUL])					AS [JUL], 
		SUM([AUG])					AS [AUG], 
		SUM([SEP])					AS [SEP], 
		SUM([OCT])					AS [OCT], 
		SUM([NOV])					AS [NOV], 
		SUM([DEC])					AS [DEC],
		SUM([TOTAL])				AS [TOTAL]
FROM	(
--This derived query formats the data
SELECT	exchange, 
		CASE WHEN dividends_month = '1'		THEN SUM(MonthlyCount) ELSE 0 END	AS [JAN], 
		CASE WHEN dividends_month = '2'		THEN SUM(MonthlyCount) ELSE 0 END	AS [FEB], 
		CASE WHEN dividends_month = '3'		THEN SUM(MonthlyCount) ELSE 0 END	AS [MAR],  
		CASE WHEN dividends_month = '4'		THEN SUM(MonthlyCount) ELSE 0 END	AS [APR],  
		CASE WHEN dividends_month = '5'		THEN SUM(MonthlyCount) ELSE 0 END	AS [MAY],  
		CASE WHEN dividends_month = '6'		THEN SUM(MonthlyCount) ELSE 0 END	AS [JUN],  
		CASE WHEN dividends_month = '7'		THEN SUM(MonthlyCount) ELSE 0 END	AS [JUL],  
		CASE WHEN dividends_month = '8'		THEN SUM(MonthlyCount) ELSE 0 END	AS [AUG],  
		CASE WHEN dividends_month = '9'		THEN SUM(MonthlyCount) ELSE 0 END	AS [SEP],  
		CASE WHEN dividends_month = '10'	THEN SUM(MonthlyCount) ELSE 0 END	AS [OCT],  
		CASE WHEN dividends_month = '11'	THEN SUM(MonthlyCount) ELSE 0 END	AS [NOV],  
		CASE WHEN dividends_month = '12'	THEN SUM(MonthlyCount) ELSE 0 END	AS [DEC], 
		CASE WHEN dividends_month <> ''		THEN SUM(MonthlyCount) ELSE 0 END	AS TOTAL 
FROM	(
SELECT	exchange, 
		dividends_month, 
		COUNT(*)	AS MonthlyCount
FROM	dbo.Stock_Dividends_AMEX
GROUP BY
		exchange, 
		dividends_month 
UNION ALL
SELECT	exchange, 
		dividends_month, 
		COUNT(*)	AS MonthlyCount
FROM	dbo.Stock_Dividends_NASDAQ
GROUP BY
		exchange, 
		dividends_month 
UNION ALL
SELECT	exchange, 
		dividends_month, 
		COUNT(*)	AS MonthlyCount
FROM	dbo.Stock_Dividends_NYSE
GROUP BY
		exchange, 
		dividends_month 
UNION ALL
SELECT	'TOTAL' AS exchange, 
		dividends_month, 
		COUNT(*)	AS MonthlyCount
FROM	dbo.Stock_Dividends_AMEX
GROUP BY
		exchange, 
		dividends_month 
UNION ALL
SELECT	'TOTAL' AS exchange, 
		dividends_month, 
		COUNT(*)	AS MonthlyCount
FROM	dbo.Stock_Dividends_NASDAQ
GROUP BY
		exchange, 
		dividends_month 
UNION ALL
SELECT	'TOTAL' AS exchange, 
		dividends_month, 
		COUNT(*)	AS MonthlyCount
FROM	dbo.Stock_Dividends_NYSE
GROUP BY
		exchange, 
		dividends_month 
		) MICHAELDNEWBY
GROUP BY
		exchange, 
		dividends_month 
		) MICHAELDNEWBY2
GROUP BY
		exchange
ORDER BY
		exchange